Skip to main content
Help is here.

I get a message that I need to upgrade my browser. Why?

It appears you are attempting to customise your products using our advanced online design tool. These functions are so state-of-the-art that only certain browsers support the technology:

  • Internet Explorer 8 and higher
  • Microsoft Edge 16 and higher
  • Firefox 23 and higher
  • Safari 5 and higher
  • Google Chrome 11 and higher

Once you upgrade, you will be able to:

  • Upload your own logo or photo
  • Rearrange text and images
  • Design in real time

For creating and editing Vistaprint-hosted Digital Marketing, only the following web browsers are supported:

  • Internet Explorer 12 and higher
  • Firefox 23 and higher
  • Safari 5 and higher
  • Google Chrome 11 and higher